Listar compras pendientes
curl --request GET \
--url https://api.filexpress.app/api/external/payables \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.filexpress.app/api/external/payables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.filexpress.app/api/external/payables"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.filexpress.app/api/external/payables",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": true,
"data": {
"data": [
{
"expense_id": "9d1c5a3e-4b7f-4e2a-9c1d-2f6b8a0e7c11",
"generation_code": "A1B2C3D4-0000-4C5D-9E6F-0A1B2C3D4E5F",
"document_type": "ccf",
"issue_date": "2026-09-05",
"due_date": "2026-10-05",
"days_overdue": 1,
"provider_id": "3b8e2f10-7c4d-4a9e-b1f2-5d6c7e8f9a01",
"provider_name": "Distribuidora XYZ S.A. de C.V.",
"total_amount": 452,
"amount_paid": 0,
"pending_amount": 452,
"payment_status": "pending"
}
],
"total_pending": 452
}
}{
"status": false,
"message": "Invalid API Key."
}{
"status": false,
"message": "This integration does not have the 'hr.employees' permission.",
"required_scope": "hr.employees"
}{
"status": false,
"message": "Branch not found"
}{
"status": false,
"message": "Validation errors",
"errors": {
"branch_id": [
"The branch id field is required."
]
}
}{
"status": false,
"message": "Rate limit exceeded. Please try again later.",
"rate_limit": 100
}Listar compras pendientes
Compras procesadas con saldo pendiente de la sucursal, de la más antigua a la más reciente.
Permiso requerido: payables
GET
/
payables
Listar compras pendientes
Authorizations
API Key de la integración (Integraciones → Nueva Integración).
Query Parameters
Sucursal (GET /branches). De otro negocio → 404.
Filtra por proveedor.